nvidia-glx-config does not work any more

Bug #66908 reported by Martin Pitt on 2006-10-19
6
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.17 (Ubuntu)
High
Kyle McMartin

Bug Description

# nvidia-glx-config enable
Error: unable to load nvidia kernel driver! Be sure to have installed
the nvidia driver for your running kernel.

The reason is that n-g-c first tries to load the module and then writes xorg.conf. But the new behaviour of 'modprobe nvidia' is to fail unless xorg.conf mentions 'nvidia', thus we have a deadlock.

This should be worked around by n-g-c using modprobe -i.

Martin Pitt (pitti) wrote :

Taking, easy fix.

Changed in linux-restricted-modules-2.6.17:
assignee: nobody → pitti
importance: Undecided → Medium
status: Unconfirmed → In Progress
Martin Pitt (pitti) wrote :

Package prepared, will upload after RC release.

Changed in linux-restricted-modules-2.6.17:
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

 linux-restricted-modules-2.6.17 (2.6.17.5-11) edgy; urgency=low
 .
   * nvidia/nvidia-glx-config: Use modprobe with -i when checking for the
     nvidia module, since it will not load before xorg.conf gets changed.
     Closes: LP#66908

Changed in linux-restricted-modules-2.6.17:
status: Fix Committed → Fix Released
Jan Van Buggenhout (chipzz) wrote :

This bug should be reopened, as the package from edgy-security doesn't have the -i parameter and is (again?) broken.

Jan Van Buggenhout (chipzz) wrote :

As noted in the last comment, the version in edgy-security doesn't have this fix anymore.

Changed in linux-restricted-modules-2.6.17:
status: Fix Released → Unconfirmed
Martin Pitt (pitti) wrote :

Kyle, when I fixed this I did not commit this to any VCS. Might this be the reason why the change got dropped in the recent security update? Can you please add it again, commit it to whereever it should be, and upload a fix to -security? Thank you!

Changed in linux-restricted-modules-2.6.17:
assignee: pitti → kyle
importance: Medium → High
status: Unconfirmed → Confirmed
Kyle McMartin (kyle) wrote :

I probably didn't have -security in the sources.list, will fix it. LRM isn't currently in version control anywhere, unfortunately.

Kyle McMartin (kyle) wrote :

I don't know how this got dropped. It seems to have been misplaced because you and Kees did uploads at almost the same time. Yours to fix the bug, and his to -security.

Kyle McMartin (kyle) wrote :

Uploaded, sorry 'bout the mixup.

Kyle McMartin (kyle) on 2007-03-01
Changed in linux-restricted-modules-2.6.17:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

Pushed out as as USN-416-2.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers